Problem: I am unable to install an R package in Revolution R on Linux

Problem

When you try to install an R package on Linux you get the following error message:

"Warning: unable to access index for repository - http://www.revolutionanalytics.com./repositories/cran/2.15/stable/s..."

Solution

A workaround for this issue is to edit the file: 
/usr/lib64/Revo-6.2/R-2.15.3/lib64/R/etc/Rprofile.site

and change the line: r <- c(REVO=Revobase::getRevoRepos())

in this block of code:

if (.Platform$OS.type == "windows"){ 
r["CRAN"] <- Revobase::getRevoRepos(CRANmirror=TRUE) 
} else { 
r <- c(REVO=Revobase::getRevoRepos()) 
}

to:

r <- c(REVO="http://packages.revolutionanalytics.com/cran/2.15/stable")

You will then need to restart Revolution R Enterprise for the changes to take effect.
Eigenschappen

Artikel-id: 3103268 - Laatst bijgewerkt: 26 okt. 2015 - Revisie: 1

Feedback